Subject: Re: bug#32607: 27.0.50; pop-to-buffer in next-error-no-select

From: martin rudalics <[email-masked]>
Date: Sun, 16 Sep 2018 11:09:40 +0200

>> But maybe we should instead trust inhibit-same-window to do its job and
 >> go for a simple:
 >>
 >>        (save-selected-window
 >>          (let ((next-error-highlight next-error-highlight-no-select)
 >>                (display-buffer-overriding-action
 >>                 '(nil (inhibit-same-window . t))))
 >>            (next-error n)))
 >
 > This is much simpler.  Actually, this is what I wanted to propose as
 > a solution to Martin in one of previous messages, but I mistakenly wrote
 > save-window-excursion whereas I actually intended save-selected-window.

I still do not understand whether we are sure that at the time the
code above gets called 'next-error-last-buffer' is really shown in the
selected window.

martin